wktimer(1)

Name
wktimer — work timer

Syntax
wktimer [-FHiqs] [-A name] [-D name] [-L [name]] [-S name] [-W name] [-t file]

Description
wktimer provides a small timestamping utility with second-granularity. Useful to record your time as a Consultant.

Options

-A name
    Create timer or restamp an existing timer's start time.

-D name
    Delete given timer.

-F  Flush timer table (delete all timers).

-H  Do not show header when printing the table with -L.

-L [name]
    List specific timer (or all timers if no name given).

-S name
    Stop timer or restamp existing timer's stop time.

-W name
    Switch to timer (deactive all timers and resume given timer).

-i  Show I-Start when printing the table with -L.

-q  Be quiet.

-s  Show Cumulative and Elapsed time in seconds.

-t file
    Use timer file (rather than ~/.timers).

Notes
Restamping the start mark of a timer will add the elapsed time to the cumulative count.

Restamping the stop mark of a timer will extend the elapsed time (and thus, cumulative time) to "now".

See also
hxtools(7)